Bug 189492 - openssl release: 0.9.7a is broken
Summary: openssl release: 0.9.7a is broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-04-20 14:47 UTC by Lukasz Heldt
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0375
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:18:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple program that reveals the problem. (1.29 KB, text/x-c++src)
2006-04-20 14:47 UTC, Lukasz Heldt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0375 normal SHIPPED_LIVE openssl enhancement update 2006-08-10 04:00:00 UTC

Description Lukasz Heldt 2006-04-20 14:47:48 UTC
Description of problem:

Redhat uses old version of openssl which has a serious bug.
The bug does not show up in later releases.

Version-Release number of selected component (if applicable):

0.9.7a

How reproducible:

Attaching simple program that reveals the problem.
Sha1 generates bad hash when specific pointer is passed.

Steps to Reproduce:
1. Compile simple program and run it.
  
Actual results:

SHA1 generates bad hash for specified data pointer.

Expected results:

SHA1 should always generate the same hash.

Additional info:

Release 0.9.8 seems to work fine. I have emailed this problem to openssl group.
Nevertheless its probably better to switch to 0.9.8.

Comment 1 Lukasz Heldt 2006-04-20 14:47:49 UTC
Created attachment 128040 [details]
Simple program that reveals the problem.

Comment 2 Lukasz Heldt 2006-04-20 15:56:16 UTC
According to openssl guys this bug has been fixed in later releases of openssl:

http://cvs.openssl.org/chngview?cn=12697
http://cvs.openssl.org/chngview?cn=12717

Comment 5 Red Hat Bugzilla 2006-08-10 21:18:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0375.html



Note You need to log in before you can comment on or make changes to this bug.